/**********************************************************************/
/* $Date: 2003-06-04 14:49:17 $
/* $Revision: 1.1.1.1 $
/**********************************************************************/

/*---------------------------------------------------------------------
 * Library header included by all UIM/X generated source files.
 *---------------------------------------------------------------------*/

#ifndef _UXLIB_INCLUDED
#define _UXLIB_INCLUDED 

#include <uxproto.h>
#ifdef vms 
#include <decw$include/Intrinsic.h>
#else
#include <X11/Intrinsic.h>
#endif
#ifdef vms 
#include <decw$include/StringDefs.h>
#else
#include <X11/StringDefs.h>
#endif
#ifdef vms 
#include <decw$include/Shell.h>
#else
#include <X11/Shell.h>
#endif

#include <Xm/Xm.h>
#include <Xm/Text.h>

extern char	*UxMalloc UXPROTO(( unsigned int ));
#define UxAlloc(s) 	UxMalloc(s)

#ifdef  DESIGN_TIME

#include <UxDesign.h>

#else   /*** not DESIGN_TIME **/

/*** Runtime library. ***/

#define UxNULL_HANDLE   0L

typedef unsigned long  HANDLE;

#define oh_SIZE 8   /* The size in bytes */

typedef struct ohandle{
	short           type;
	short           flag;
	union {
	  long        i;
	  float       f;
	  char        *p;
	  void        (*func)();
	  HANDLE      handle;
	} id;
} OHANDLE;

typedef OHANDLE  swidget;

extern OHANDLE	UxNULL_OHANDLE;

typedef char    *Context;
#define NO_PARENT       UxNULL_OHANDLE
#define NULL_SWIDGET 	UxNULL_OHANDLE

#ifndef ERROR
#define ERROR           -1
#endif

#ifndef NO_ERROR
#define NO_ERROR        0
#endif

#ifndef _GRAB_INCLUDED
#define _GRAB_INCLUDED
typedef enum
{
	no_grab,
	nonexclusive_grab,
	exclusive_grab
} grabtype;
#endif  /* _GRAB_INCLUDED  */


/* Declarations of runtime library functions */

void    UxObjectRegisterClass UXPROTO(( void ));
OHANDLE UxObjectMake UXPROTO(( OHANDLE ));
void    UxObjectPutProp UXPROTO(( OHANDLE, char *, HANDLE ));
HANDLE  UxObjectGetProp UXPROTO(( OHANDLE, char * ));
OHANDLE UxObjectPropList UXPROTO(( OHANDLE ));
void    UxObjectDump UXPROTO(( OHANDLE ));
int     UxObjectPropListSize UXPROTO(( OHANDLE ));
void    UxObjectSetProps UXPROTO(( OHANDLE, OHANDLE ));
int     UxObjectIsPropDefined UXPROTO(( OHANDLE, char * ));

void    UxMidgetRegisterClass UXPROTO(( void ));
OHANDLE UxMidgetMake UXPROTO(( char *, WidgetClass, OHANDLE ));
unsigned char *UxMidgetContext UXPROTO(( OHANDLE ));
Widget  UxMidgetWidget UXPROTO(( OHANDLE ));
void    UxMidgetPutContext UXPROTO(( OHANDLE, unsigned char * ));
void    UxMidgetPutWidget UXPROTO(( OHANDLE, Widget ));
ArgList UxMidgetArgList UXPROTO(( OHANDLE ));
int     UxMidgetArgListSz UXPROTO(( OHANDLE ));
void    UxMidgetPutName UXPROTO(( OHANDLE, char * ));
char    *UxMidgetName UXPROTO(( OHANDLE ));
void    UxMidgetPutParent UXPROTO(( OHANDLE, OHANDLE ));
OHANDLE UxMidgetParent UXPROTO(( OHANDLE ));
void    UxMidgetPutWClass UXPROTO(( OHANDLE, WidgetClass ));
WidgetClass UxMidgetWClass UXPROTO(( OHANDLE ));
void    UxMidgetPutUpdateFlag UXPROTO(( OHANDLE, int ));
int     UxMidgetUpdateFlag UXPROTO(( OHANDLE ));
void    UxMidgetFree UXPROTO(( OHANDLE ));
void    UxMidgetPutTranslations UXPROTO(( OHANDLE, char * ));
char    *UxMidgetTranslations UXPROTO(( OHANDLE ));
void    UxMidgetPutAccelerators UXPROTO(( OHANDLE, char * ));
OHANDLE UxMidgetDialogMake UXPROTO(( char *, WidgetClass, OHANDLE ));
void	UxMidgetPutCreateManaged UXPROTO(( OHANDLE, char * ));
char*	UxMidgetGetCreateManaged UXPROTO(( OHANDLE ));

#define UxCreateSwidget(n,c,p) 		UxMidgetMake(n,c,p)
#define UxCreateDialogSwidget(n,c,p)	UxMidgetDialogMake(n,c,p)

#define UxGetContext(m)          UxMidgetContext(m)
#define UxPutContext(m,c)        UxMidgetPutContext(m,(unsigned char *)c)
#define UxPutUpdate_flag(m,f)    UxMidgetPutUpdateFlag(m,f)
#define UxGetWidget(m)           UxMidgetWidget(m)
#define UxGetArgList(m)          UxMidgetArgList(m)
#define UxGetArgListSize(m)      UxMidgetArgListSz(m)
#define UxGetUpdateFlag(m)       UxMidgetUpdateFlag(m)
#define UxGetParent(m)           UxMidgetParent(m)
#define UxGetClass(m)            UxMidgetWClass(m)
#define UxGetName(m)             UxMidgetName(m)
#define UxPutWidget(m,w)         UxMidgetPutWidget(m,w)
#define UxPutTranslations(m,t)   UxMidgetPutTranslations(m,t)
#define UxGetTranslations(m)     UxMidgetTranslations(m)
#define UxGetxwidget(m)		 UxMidgetWidget(m)
#define UxPutDefaultShell(m,s)	 UxMidgetPutDefaultShell(m,s)
#define UxGetDefaultShell(m)	 UxMidgetDefaultShell(m)
#define UxPutAccelerators(m,t)   UxMidgetPutAccelerators(m,t)
#define UxGetAccelerators(m)     UxMidgetAccelerators(m)
#define UxPutText(m,v)           UxrPutProp(m, XmNvalue, ((XtArgVal) (v)))	

#define UxPutCreateManaged(m,cm) UxMidgetPutCreateManaged(m,cm)
#define UxGetCreateManaged(m)    UxMidgetGetCreateManaged(m)

#include <UxPutsMF.h>
#include <UxGetsMF.h>

#define x_used(o)                UxObjectIsPropDefined(o,XtNx)
#define y_used(o)                UxObjectIsPropDefined(o,XtNy)
#define allowShellResize_used(o) UxObjectIsPropDefined(o,XtNallowShellResize)


/* Declarations of runtime library functions for user's use */

void    UxrDelayUpdate UXPROTO(( swidget ));
void    UxrUpdate UXPROTO(( swidget ));
int     UxrPutProp UXPROTO(( swidget, char *, XtArgVal ));
XtArgVal UxrGetProp UXPROTO(( swidget, char * ));
Widget  UxrCreateWidget UXPROTO(( swidget ));
swidget UxrWidgetToSwidget UXPROTO(( Widget ));
void    UxrFreeSwidget UXPROTO(( swidget ));
int     UxrIsShellClass UXPROTO(( WidgetClass ));
Widget  UxrInitialize UXPROTO(( char *, unsigned int *, char ** ));
int     UxrIsValidSwidget UXPROTO(( swidget ));
void    UxrAddCallback UXPROTO(( swidget, char *, XtCallbackProc, char * ));
void    UxrMainLoop UXPROTO(( void ));
int     UxrDestroyInterface UXPROTO(( swidget ));
void    UxrDestroySwidget UXPROTO(( swidget ));
int     UxrRealizeInterface UXPROTO(( swidget ));
int     UxrPopupInterface UXPROTO(( swidget, grabtype ));
int     UxrPopdownInterface UXPROTO(( swidget ));
void    UxrUnmap UXPROTO(( swidget ));
void    UxrMap UXPROTO(( swidget ));
void    UxrUnmanage UXPROTO(( swidget ));
void    UxrManage UXPROTO(( swidget ));
void    UxrWaitForNotify UXPROTO(( void ));
void    UxrNotify UXPROTO(( void ));
void    UxrFlushQueue UXPROTO(( void ));
void    UxrSetDefaultShell UXPROTO(( char * ));
char    *UxGetUimxDefault UXPROTO(( char *, char * ));
Widget  UxrRealWidget UXPROTO(( swidget ));
char    *UxrMakeString UXPROTO(( char * ));
void    UxrAddTranslations UXPROTO(( swidget, char * ));
void    UxrCenterVisibly UXPROTO(( swidget, swidget ));
swidget UxrFindSwidget UXPROTO(( char * ));
void    UxrPostMenu UXPROTO(( Widget, XEvent *, String *, Cardinal ));
void    UxrUimxError UXPROTO(( void ));
void    UxrRegisterPopupMenuHandler UXPROTO(( swidget, swidget ));
Widget  UxrShellWidget UXPROTO(( swidget ));
void	UxrMainWindowSetAreas UXPROTO(( swidget, swidget, swidget, swidget,
						swidget, swidget ));
void	UxrScrolledWindowSetAreas UXPROTO((swidget, swidget, swidget, swidget));
swidget UxrNameToSwidget UXPROTO(( swidget, char * ));
void	UxrAddTabGroup UXPROTO(( swidget ));
void	UxrRemoveTabGroup UXPROTO(( swidget ));
void	UxrCenterWidgetVisibly UXPROTO(( Widget, Widget ));
Widget	UxrOptionInitialize UXPROTO(( char *, unsigned int *, char **,
					XrmOptionDescRec *, Cardinal ));
char 	*UxrGetText UXPROTO(( swidget ));


#define UxDelayUpdate(sw)     	UxrDelayUpdate(sw)
#define UxUpdate(sw) 		UxrUpdate(sw)
#define UxPutProp(s,n,v)       	UxrPutProp(s,n,v)
#define UxGetProp(s,n)	        UxrGetProp(s,n)
#define UxFreeSwidget(s)        UxrFreeSwidget(s)
#define UxCreateWidget(s) 	UxrCreateWidget(s)
#define UxIsShellClass(c)       UxrIsShellClass(c)
#define UxWidgetToSwidget(w)    UxrWidgetToSwidget(w)
#define UxNeedsParentShell(s)	UxrNeedsParentShell(s)
#define UxInitialize(r,argc,argv) UxrInitialize(r,argc,argv)
#define UxIsValidSwidget(m)	 UxrIsValidSwidget(m)
#define UxAddCallback(m,n,cb,c)  UxrAddCallback(m,n,cb,c)
#define UxMainLoop() 		 UxrMainLoop()
#define UxDestroyInterface(sw)	 UxrDestroyInterface(sw)
#define UxDestroySwidget(sw)	 UxrDestroySwidget(sw)
#define UxDestroyCallback(w,a,b) UxrDestroyCallback(w,a,b)
#define UxRealizeInterface(sw)	 UxrRealizeInterface(sw)
#define UxPopupInterface(s,t)	 UxrPopupInterface(s,t)
#define UxPopdownInterface(sw)	 UxrPopdownInterface(sw)
#define UxUnmap(sw)		 UxrUnmap(sw)
#define UxMap(sw)		 UxrMap(sw)
#define UxUnmanage(sw)		 UxrUnmanage(sw)
#define UxManage(sw)		 UxrManage(sw)
#define UxWaitForNotify()	 UxrWaitForNotify()
#define UxNotify()		 UxrNotify()
#define UxFlushQueue()		 UxrFlushQueue()
#define UxSetDefaultShell(st)	 UxrSetDefaultShell(st)
#define UxRealWidget(s)		 UxrRealWidget(s)
#define UxMakeString(s)		 UxrMakeString(s)
#define UxAddTranslations(s,t)	 UxrAddTranslations(s,t)
#define UxCenterVisibly(rs,p)	 UxrCenterVisibly(rs,p)
#define UxFindSwidget(n)	 UxrFindSwidget(n)
#define UxPostMenu(s,o,p,q)	 UxrPostMenu(s,o,p,q)
#define UxUimxError()		 UxrUimxError()
#define UxRegisterPopupMenuHandler(w,p) UxrRegisterPopupMenuHandler(w,p)
#define UxShellWidget(x)	 UxrShellWidget(x)
#define UxMainWindowSetAreas(m,p,c,h,v,w) UxrMainWindowSetAreas(m,p,c,h,v,w)

#define	UxMainWindowSetMessageWindow(m,msg) UxrMainWindowSetMessageWindow(m, msg)
#define UxScrolledWindowSetAreas(m,h,v,w) UxrScrolledWindowSetAreas(m,h,v,w)
#define UxNameToSwidget(r,n)	 UxrNameToSwidget(r,n)
#define UxAddTabGroup(sw)	 UxrAddTabGroup(sw)
#define UxRemoveTabGroup(sw)	 UxrRemoveTabGroup(sw)
#define UxCenterWidgetVisibly(sw,sp) UxrCenterWidgetVisibly(sw,sp)
#define UxOptionInitialize(r,ac,av,op,no) UxrOptionInitialize(r,ac,av,op,no)
#define UxGetText(sw)		 UxrGetText(sw)

#define UxAddActions(a,b)    XtAppAddActions(UxAppContext, a,b)
#define UxNextEvent(e)	     XtAppNextEvent(UxAppContext, e)
#define UxDispatchEvent(e)   XtDispatchEvent(e)

extern Widget   	UxTopLevel;
extern XtAppContext 	UxAppContext;
extern XEvent   	*UxCurrentEvent;
extern Display  	*UxDisplay;
extern int     		UxScreen;
extern Window 	  	UxRootWindow;
extern char     	*UxWindowManager;
extern char     	*UxDefaultShellType;
extern char     	*UxUserShell;
extern char     	*UxFirstEditorShell;
extern GC       	UxDrawGC;

#endif /* not DESIGN_TIME */

#endif  /* _UXLIB_INCLUDED */
