/**********************************************************************/
/*
/* $Date: 2003-06-04 14:49:17 $
/* $Revision: 1.1.1.1 $
/*
/**********************************************************************/


/*****************************************************************************/
/***									   ***/
/***		 Copyright (c) 1988, Visual Edge Software Ltd.		   ***/
/***									   ***/
/***   All rights reserved.  This notice is  intended  as  a  precaution   ***/
/***   against	inadvertent publication, and shall not be deemed to con-   ***/
/***   stitute an acknowledgment that publication has  occurred	 nor  to   ***/
/***   imply  any  waiver  of confidentiality.	The year included in the   ***/
/***   notice is the year of the creation of the work.			   ***/
/***									   ***/
/*****************************************************************************/

#ifndef _ID_INCLUDED
#define _ID_INCLUDED

typedef struct  {
		unsigned col : 16;
		unsigned row : 16;
		}KEY;

#define id_lookup(o)            (INT *)UxTypeLookup(o)

#define key_make(id)            (*((KEY *)(&id)))
#define key_col(k)              ((&(k))->col)
#define key_row(k)              ((&(k))->row)
#define id_column(id)           (key_col(key_make(id)))
#define id_row(id)              (key_row(key_make(id)))
#define id_set_column(id,c)     (key_col(key_make(id)) = c)
#define id_set_row(id,r)        (key_row(key_make(id)) = r)

#endif   /* _ID_INCLUDED */

