/**********************************************************************/
/*
/* $Date: 2003-06-04 14:49:17 $
/* $Revision: 1.1.1.1 $
/*
/**********************************************************************/

#ifndef _PATHLIST_INCLUDED
#define _PATHLIST_INCLUDED

#include <uxproto.h>
#include <dstring.h>

typedef dstring *pathlist;

extern int	UxFileExists UXPROTO(( char* ));
extern pathlist	UxInitPath UXPROTO(( char* ));
extern void	UxAddPath UXPROTO(( pathlist, char* ));
extern void	UxResetPath UXPROTO(( pathlist, char* ));
extern void	UxFreePath UXPROTO(( pathlist ));
extern char	*UxGetPath UXPROTO(( pathlist ));
extern char	*UxExpandFilename UXPROTO(( pathlist, char* ));
extern char	*UxExpandAllFilenames UXPROTO(( pathlist, char* ));
extern char	*UxGetFilename UXPROTO(( char* ));

#endif /* _PATHLIST_INCLUDED */
