/**********************************************************************/
/*
/* $Date: 2003-06-04 14:49:17 $
/* $Revision: 1.1.1.1 $
/*
/**********************************************************************/

#ifndef _RESLOAD_INCLUDED
#define _RESLOAD_INCLUDED

#include <uxproto.h>
#include <pathlist.h>

extern pathlist	UxResourcePath, UxBitmapPath;

extern void	UxInitializeResourcePath UXPROTO(( void ));
extern void	UxInitializeBitmapPath UXPROTO(( void ));
extern void	UxOverrideResources UXPROTO(( char* ));
extern void	UxLoadResources UXPROTO(( char* ));
extern void	UxLoadResourceTree UXPROTO(( void ));
extern char	*UxGetResource UXPROTO(( char*, char* ));
extern char	*UxGetDefault UXPROTO(( char*, char*, char* ));
extern char	*UxGetUimxResource UXPROTO(( char* ));
extern char	*UxGetUimxDefault UXPROTO(( char*, char* ));
extern char	*UxGetAppResource UXPROTO(( char* ));
extern char	*UxGetAppDefault UXPROTO(( char*, char* ));
extern char	*UxExpandResourceFilename UXPROTO(( char* ));
extern char	*UxExpandBitmapFilename UXPROTO(( char* ));
extern char	*UxExpandEnv UXPROTO(( char* ));
extern int	UxGetAnyResource UXPROTO(( char*, char*, char**, XrmValue* ));
extern void	UxPutAnyResource UXPROTO(( char*, char*, char*, XrmValue* ));

#endif /* _RESLOAD_INCLUDED */
