/**********************************************************************/
/*
/* $Date: 2003-06-04 14:49:17 $
/* $Revision: 1.1.1.1 $
/*
/**********************************************************************/

#ifndef _TYPE_INCLUDED
#define _TYPE_INCLUDED

typedef long    INT;
typedef unsigned long	HANDLE;

typedef struct  {
		OHANDLE class;
		HANDLE  name;
		int     class_size,
			instance_size;
		OHANDLE class_prop,
			instance_prop;
		char    *data;
		char    **instance;
		int     ncol,nrow,ncol_inc;
		INT     next,new,free;
		}TYPE;

#define type_class(c)                 ((c)->class)
#define type_instance(c)              ((c)->instance)
#define type_class_size(c)            ((c)->class_size)
#define type_instance_size(c)         ((c)->instance_size)
#define type_instance_prop(c)         ((c)->instance_prop)
#define type_class_prop(c)            ((c)->class_prop)
#define type_name(c)                  ((c)->name)
#define type_data(c)                  ((c)->data)
#define type_next(c)                  ((c)->next)
#define type_new(c)                   ((c)->new)
#define type_free(c)                  ((c)->free)
#define type_nrow(c)                  ((c)->nrow)
#define type_ncol(c)                  ((c)->ncol)
#define type_ncol_inc(c)              ((c)->ncol_inc)
#define type_set_class(c,hC)          (type_class(c) = hC)
#define type_set_instance(c,hI)       (type_instance(c) = hI)
#define type_set_class_size(c,cs)     (type_class_size(c) = cs)
#define type_set_instance_size(c,is)  (type_instance_size(c) = is)
#define type_set_class_prop(c,cp)     (type_class_prop(c) = cp)
#define type_set_instance_prop(c,ip)  (type_instance_prop(c) = ip)
#define type_set_name(c,n)            (type_name(c) = n)
#define type_set_data(c,d)            (type_data(c) = d)
#define type_set_next(c,n)            (type_next(c) = n)
#define type_set_new(c,n)             (type_new(c) = n)
#define type_set_free(c,n)            (type_free(c) = n)
#define type_set_nrow(c,n)            (type_nrow(c) = n)
#define type_set_ncol(c,n)            (type_ncol(c) = n)
#define type_set_ncol_inc(c,n)        (type_ncol_inc(c) = n)

#endif   /* _TYPE_INCLUDED  */
