/**********************************************************************/
/*
/* $Date: 2003-06-04 14:49:17 $
/* $Revision: 1.1.1.1 $
/*
/**********************************************************************/

#ifndef _UXDD_INCLUDED
#define _UXDD_INCLUDED

#define MAXRESLEN	32

struct cl_entry {
		int	utype;
		int	xtype;
		struct  cl_entry *next_cl;
		char	*xtclass;
		};

struct dd_entry {
		int        utype;
		int        xtype;
		struct cl_entry *next_cl;
		char       name[MAXRESLEN];
		struct	dd_entry *next;
		};

typedef struct dd_entry DD;
typedef struct dd_entry	*DDList;
typedef struct cl_entry CL_ENTRY;

#define  dd_lookup(l)      type_lookup(l,DD)
#define  cl_lookup(l)	   type_lookup(l,CL_ENTRY)

#define  dd_name(p)             (p->name)
#define  dd_put_name(p,n)       (dd_name(p) = n)
#define  dd_utype(p)            ((p)->utype)
#define  dd_put_utype(p,v)      (dd_utype(p) = v)
#define  dd_xtype(p)            ((p)->xtype)
#define  dd_put_xtype(p,v)      (dd_xtype(p) = v)

CL_ENTRY *UxrDDEntry();
void     UxrDDInit();
void	 UxrDDInstall();
void	 UxrDDAddEntry();

#define UxDDEntry(n) UxrDDEntry(n)
#define UxDDInit() UxrDDInit()

#endif  /* _UXDD_INCLUDED */
