#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*                     iii.fc

.VERSION

090611          last modif

*/

#define IIMCMY	iimcmy_
ROUTINE IIMCMY(dsplay,chan,nochan,value,idst)
int *dsplay;
int *chan;
int *nochan;
int *value;
int *idst;
{
int  IIMCMY_C();

*idst = IIMCMY_C(*dsplay,chan,*nochan,*value);
return 0;
}

#define IIMSTW	iimstw_
ROUTINE IIMSTW(dsplay,chan,loadfl,szx,szy,depth,xbeg,ybeg,idst)
int *dsplay;
int *chan;
int *loadfl;
int *szx;
int *szy;
int *depth;
int *idst;
int *xbeg;
int *ybeg;

{
int  IIMSTW_C();

*idst = IIMSTW_C(*dsplay,*chan,*loadfl,*szx,*szy,*depth,*xbeg,*ybeg);
return 0;
}

#define IIMWMY	iimwmy_
ROUTINE IIMWMY(dsplay,chan,pix,size,depth,pack,xbeg,ybeg,idst)
int *dsplay;
int *chan;
int *pix;
int *size;
int *depth;
int *pack;
int *xbeg;
int *ybeg;
int *idst;

{
int  IIMWMY_C();

*idst = IIMWMY_C(*dsplay,*chan,pix,*size,*depth,*pack,*xbeg,*ybeg);
return 0;
}

#define IMRMY	imrmy_
ROUTINE IMRMY(dsplay,chan,size,xbeg,ybeg,depth,pack,ittflg,pix,idst)
int *dsplay;
int *chan;
int *size;
int *xbeg;
int *ybeg;
int *depth;
int *pack;
int *ittflg;
int *idst;
int *pix;

{
int  IIMRMY_C();

*idst = IIMRMY_C(*dsplay,*chan,*size,*xbeg,*ybeg,*depth,*pack,*ittflg,pix);
return 0;
}

#define IIMSMV	iimsmv_
ROUTINE IIMSMV(dsplay,chan,nochan,vis,idst)
int *dsplay;
int *chan;
int *nochan;
int *vis;
int *idst;

{
int  IIMSMV_C();

*idst = IIMSMV_C(*dsplay,chan,*nochan,*vis);
return 0;
}

#define IIMSLT	iimslt_
ROUTINE IIMSLT(dsplay,chan,lut,itt,idst)
int *dsplay;
int *chan;
int *itt;
int *lut;
int *idst;

{
int  IIMSLT_C();

*idst = IIMSLT_C(*dsplay,*chan,*lut,*itt);
return 0;
}

#define IIMBLM	iimblm_
ROUTINE IIMBLM(dsplay,memids,memlim,delay,idst)
int *dsplay;
int *memids;
int *memlim;
int *idst;
float  *delay;

{
int  IIMBLM_C();

*idst = IIMBLM_C(*dsplay,memids,*memlim,delay);
return 0;
}


