#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*                     iir.fc

.VERSION

090611          last modif

*/

#define IIRINR	iirinr_
ROUTINE IIRINR(dsplay,chan,colour,xa,ya,xb,yb,roid,idst)
int *dsplay;
int *chan;
int *colour;
int *xa;
int *ya;
int *xb;
int *yb;
int *roid;
int *idst;
 
{
int  IIRINR_C();

*idst = IIRINR_C(*dsplay,*chan,*colour,*xa,*ya,*xb,*yb,roid);
return 0;
}

#define IIRRRI	iirrri_
ROUTINE IIRRRI(dsplay,chan,roid,xa,ya,xb,yb,memo,idst)
int *dsplay;
int *chan;
int *roid;
int *xa;
int *ya;
int *xb;
int *yb;
int *memo;
int *idst;
 
{
int  IIRRRI_C();

*idst = IIRRRI_C(*dsplay,*chan,*roid,xa,ya,xb,yb,memo);
return 0;
}

#define IIRWRI	iirwri_
ROUTINE IIRWRI(dsplay,chan,roid,xa,ya,xb,yb,idst)
int *dsplay;
int *chan;
int *roid;
int *xa;
int *ya;
int *xb;
int *yb;
int *idst;
 
{
int  IIRWRI_C();

*idst = IIRWRI_C(*dsplay,*chan,*roid,*xa,*ya,*xb,*yb);
 
return 0;
}

#define IIRSRV	iirsrv_
ROUTINE IIRSRV(dsplay,roid,vis,idst)
int *dsplay;
int *roid;
int *vis;
int *idst;
 
{
int  IIRSRV_C();
 
*idst = IIRSRV_C(*dsplay,*roid,*vis);
return 0;
}

#define IICINR	iicinr_
ROUTINE IICINR(dsplay,chan,colour,xc,yc,rad1,rad2,rad3,roid,idst)
int *dsplay;
int *chan;
int *colour;
int *xc;
int *yc;
int *rad1;
int *rad2;
int *rad3;
int *roid;
int *idst;
 
{
int  IICINR_C();

*idst = IICINR_C(*dsplay,*chan,*colour,*xc,*yc,*rad1,*rad2,*rad3,roid);
return 0;
}

#define IICRRI	iicrri_
ROUTINE IICRRI(dsplay,chan,roid,xc,yc,rad1,rad2,rad3,memo,idst)
int *dsplay;
int *chan;
int *roid;
int *xc;
int *yc;
int *rad1;
int *rad2;
int *rad3;
int *memo;
int *idst;

{
int  IICRRI_C();

*idst = IICRRI_C(*dsplay,*chan,*roid,xc,yc,rad1,rad2,rad3,memo);
return 0;
}

#define IICWRI	iicwri_
ROUTINE IICWRI(dsplay,chan,roid,xc,yc,rad1,rad2,rad3,idst)
int *dsplay;
int *chan;
int *roid;
int *xc;
int *yc;
int *rad1;
int *rad2;
int *rad3;
int *idst;

{
int  IICWRI_C();

*idst = IICWRI_C(*dsplay,*chan,*roid,*xc,*yc,*rad1,*rad2,*rad3);
return 0;
}

