#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.IDENTifier     pto.fc
.AUTHOR         Rein H. Warmels, ESO-IPG
.KEYWORDS       High level graphics interface, Graphics keywords
.LANGUAGE       C
.PURPOSE        Fortran to C interface for PCOPEN and PCCLOS
.COMMENTS       Module contains interfaces for PCOPEN and PCCLOS
.ENVIRONMENT    MIDAS FORTRAN and C standards
.VERSION        1.0 13-Oct-1993 RHW

 090611		last modif
-----------------------------------------------------------------------------*/

#include <proto_plt.h>
#include <stdlib.h>
#include <string.h>


char *ptr1, *ptr2;
char *loc_pntr();
char *strp_pntr();

/*

*/

/*==========================================================================*/

/*** idst = PTOPEN(devnam,plname,access,plmode) ***/

#define PPP5	ppp5_
ROUTINE PPP5(access,plmode)
int   *access;	/* IN : access mode -1, 1, 0 */
int   *plmode;	/* IN/OUT : plot mode 0, 1, 2, or -1 */

{	
ptr1 = strp_pntr(1);         /* get stripped string of "devnam" */
ptr2 = strp_pntr(2);         /* get stripped string of "plname" */

PCOPEN(ptr1,ptr2,*access,plmode);
return 0;
}

#define PTCLOS	ptclos_
ROUTINE PTCLOS()

{ 
PCCLOS();
return 0;
}










