#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Fortran -> C conversion routine for ZMSTAT


.VERSION

 090611		last modif
------------------------------------------------------------------------*/
 
#include <midas_def.h>

char *ptr1, *ptr2, *ptr3;
char *strp_pntr(int);

int Zstats(), Newsort();

/*

*/

#define NSORT	nsort_
ROUTINE NSORT(array,size,nmed,fmedian)
float     *array;
int    *size;
int    *nmed;
float     *fmedian;

{
array --;
(void) Newsort(array,*size,*nmed,fmedian);

return 0;
}

/*** ZMSTAT(imno,area,naxpix,start,step,rbins,formstr,defaul) ***/

#define ZST1	zst1_
ROUTINE ZST1(imno,naxpix,start,step,rbins)
int    *imno;
int    *naxpix;
double    *start;
double    *step;
float     *rbins;

{
ptr1 = strp_pntr(1);         /* get stripped string of "area" */
ptr2 = strp_pntr(2);         /* get stripped string of "formstr" */
ptr3 = strp_pntr(3);         /* get stripped string of "defaul" */

(void) Zstats(*imno,ptr1,naxpix,rbins,ptr2,ptr3);
return 0;
}

