/**********************************************************************/
/*
/* $Date: 2003-06-04 14:49:17 $
/* $Revision: 1.1.1.1 $
/*
/**********************************************************************/

/* ---------------------------------------------------------------------------

Globals that are used through out the program

---------------------------------------------------------------------------*/

#ifndef _GLOBAL_INCLUDED
#define _GLOBAL_INCLUDED

#include <vhandle.h>

/* The following variables have storage defined for them in init_uimx.c
   by means of the dubious practice of defining 'extern' to be nothing */

extern Window	UxRootWindow;
extern Widget	UxTopLevel;	/* The top level shell */
extern Display	*UxDisplay;
extern int	UxScreen;
extern XtAppContext   UxAppContext;
extern GC 	UxDrawGC, UxUimxBlackGC, UxUimxWhiteGC;
extern vhandle	UxVh_shells, UxVh_widgets;
extern XEvent   *UxEvent;
extern vhandle  UxCurrent_env;
extern char	*UxUserShell;
extern vhandle	UxActionTable;

#ifdef OL_WIDGETS
/* these are added back in for the purpose of getting the beta OL version */
extern vhandle	Ux_trsl_list;
extern vhandle	Ux_action_tab;
extern vhandle	UxActionList;
#endif /* OL_WIDGETS */

#ifdef MOTIF_WIDGETS
#define	WINDOW_MANAGER	"mwm"	/*for when reading from resource files*/
#endif /* MOTIF_WIDGETS */

#ifdef OL_WIDGETS
#define WINDOW_MANAGER "olwm"	/* not currently used: just for consistency */
#endif /* OL_WIDGETS */

#endif /* _GLOBAL_INCLUDED */
