/**********************************************************************/
/*
/* $Date: 2003-06-04 14:49:17 $
/* $Revision: 1.1.1.1 $
/*
/**********************************************************************/

#ifndef _OBJECT_INCLUDED
#define _OBJECT_INCLUDED

#include <type_us.h>
#include <proplist.h>


typedef struct  {
		OHANDLE     self;
		OHANDLE     prop_list;
		}object;

#define obj_self(o)              ((o)->self)
#define obj_put_self(o,s)        (obj_self(o) = s)
#define obj_prop_list(o)         ((o)->prop_list)
#define obj_put_prop_list(o,p)   (obj_prop_list(o) = p)

#define obj_lookup(o)            type_lookup(o,object)

extern OHANDLE C_object;

void    UxObjectRegisterClass();
OHANDLE UxObjectMake();
void    UxObjectPutProp();
HANDLE  UxObjectGetProp();
OHANDLE UxObjectPropList();
void    UxObjectDump();
int     UxObjectPropListSize();
void    UxObjectSetProps();
int     UxObjectIsPropDefined();

#endif  /*  _OBJECT_INCLUDED */
