/**********************************************************************/
/*
/* $Date: 2003-06-04 14:49:17 $
/* $Revision: 1.1.1.1 $
/*
/**********************************************************************/

#ifndef _PROPLIST_INCLUDED 
#define _PROPLIST_INCLUDED

#ifndef HANDLE
#define HANDLE	unsigned long
#endif
#ifndef NULL_HANDLE
#define NULL_HANDLE	0L
#endif

typedef struct  {
		OHANDLE     list;
		}PROP_LIST;

typedef struct  {
		char       *name;
		HANDLE     value;
		}Prop, *PropList;

#define  prop_list_lookup(l)      type_lookup(l,PROP_LIST)

#define  prop_list_list(o)        ((o)->list)
#define  prop_list_put_list(o,l)  (prop_list_list(o) = l)

#define  prop_name(p)             (p->name)
#define  prop_put_name(p,n)       (prop_name(p) = n)
#define  prop_value(p)            ((p)->value)
#define  prop_put_value(p,v)      (prop_value(p) = v)

OHANDLE  UxPropListPutEntry();
PropList UxPropListEntry();
int      UxPropListSize();
void     UxPropListDump();
PropList UxPropListLookup();
OHANDLE  UxPropListMerge();
void     UxPropListFree();
void     UxPropListFreeEntry();
HANDLE   UxPropListValue();

#define proplist_size(oh)         UxListaEnd(oh)

extern  OHANDLE         T_prop_list;

#endif    /* _PROPLIST_INCLUDED */
