/**********************************************************************/
/*
/* $Date: 2003-06-04 14:49:17 $
/* $Revision: 1.1.1.1 $
/*
/**********************************************************************/

#ifndef _TYPE_US_INCLUDED
#define _TYPE_US_INCLUDED

#include <oh.h>
#include <is_flg.h>

#define T_HANDLE             50
#define T_int                51
#define T_float              52
#define T_long               53
#define T_double             54
#define T_char               55
#define T_short              56
#define T_SORTED_LIST        57
#define T_UNSORTED_LIST      59
#define T_void               58
#define T_OHANDLE            60
#define T_SYMBOL             61

#define type_lookup(o,t)      (t *)UxTypeLookup(o)

OHANDLE UxTypeRegister();
OHANDLE UxTypeAllocInstance();
char    *UxTypeLookup();
void    UxTypeResize();
void    UxTypeSetNrow();
void    UxTypeSetNcolInc();
char    *UxTypeGet();
void    UxTypeFreeInstance();

#define type_register(is)            UxTypeRegister(0l,UxNULL_OHANDLE,is,0)
#define type_resize(oh,p,pi)         UxTypeResize(oh,p,pi)
#define type_resize_page(oh,p)       UxTypeSetNrow(oh,p)
#define type_resize_increment(oh,pi) UxTypeSetNcolInc(oh,pi)


#endif /* _TYPE_US_INCLUDED */
