/**********************************************************************/
/*
/* $Date: 2003-06-04 14:49:17 $
/* $Revision: 1.1.1.1 $
/*
/**********************************************************************/

#ifndef _WIDLIST_INCLUDED 
#define _WIDLIST_INCLUDED


typedef struct  {
		int         free;
		OHANDLE     list;
		}WID_LIST;

typedef struct  {
		char       *wid;
		char       *mid;
		}Wid, *WidList;

#define  wid_list_lookup(l)      type_lookup(l,WID_LIST)

#define  wid_list_list(o)        ((o)->list)
#define  wid_list_put_list(o,l)  (wid_list_list(o) = l)
#define  wid_list_free(o)        ((o)->free)
#define  wid_list_put_free(o,l)  (wid_list_free(o) = l)

#define  wid_wid(p)             ((p)->wid)
#define  wid_put_wid(p,n)       (wid_wid(p) = n)
#define  wid_mid(p)             ((p)->mid)
#define  wid_put_mid(p,v)       (wid_mid(p) = v)

OHANDLE  UxWidListPutEntry();
WidList  UxWidListEntry();
int      UxWidListSize();
void     UxWidListDump();
WidList  UxWidListLookup();
OHANDLE  UxWidListMerge();
void     UxWidListFree();
void     UxWidListFreeEntry();
char    *UxWidListGetMid();
WidList  UxWidGetEntry();
WidList  UxWidListEntry();
int      UxWidListIndex();
OHANDLE  UxWidListMake();
Widget   UxWidListWindowToWidget();

#define wid_list_size(oh)         UxListaEnd(oh)

extern  OHANDLE         T_wid_list;

#endif   /* _WIDLIST_INCLUDED  */
