#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*++++++++++++++++++++++++  stp.fc +++++++++++++++++++++++++++++++++++++++
.LANGUAGE C
.IDENTIFICATION Module stp.fc
.COMMENTS
Module contains layer between the plane/line related FORTRAN STxxxx interfaces
and the SC_interfaces written in (hopefully independent) C
.AUTHOR         K. Banse  	ESO - Garching
.KEYWORDS       standard interfaces.
.ENVIRONMENT    FORTRAN and C standards
.VERSION  [1.00] 950622:  created

 090611		last modif
-----------------------------------------------------------------------------*/

#include <ftoc_comm.h>
#include <midas_def.h>


#include <stdlib.h>


int   mm;

char *ptr1;
char *loc_pntr();

/*

*/

/*==========================================================================*/

/*** stat = SCPGET(no,plandir,planno,bufadr) ***/

#define STP1	stp1_
ROUTINE STP1(no,plandir,planno,status)
int *no;	/* IN : file no. of data frame */
int *plandir;	/* IN : plane direction */
int *planno;	/* IN : no. of plane */
int *status;

{
ptr1 = loc_pntr(1,&mm);             /* get location of "bufadr" */

*status = SCPGET(*no,*plandir,*planno,ptr1);

return 0;
}

/*==========================================================================*/

/*** stat = SCPPUT(no,plandir,planno,bufadr) ***/

#define STP2	stp2_
ROUTINE STP2(no,plandir,planno,status)
int *no;	/* IN : file no. of data frame */
int *plandir;	/* IN : plane direction */
int *planno;	/* IN : no. of plane */
int *status;

{
ptr1 = loc_pntr(1,&mm);             /* get location of "bufadr" */

*status = SCPPUT(*no,*plandir,*planno,ptr1);

return 0;
}

