#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*++++++++++++++++++++++++  stt.fc +++++++++++++++++++++++++++++++++++++++++++
.LANGUAGE C
.IDENTIFICATION Module stt.fc
.COMMENTS
Module contains layer between the error related FORTRAN STxxxx interfaces
and the SC_interfaces written in (hopefully independent) C
.AUTHOR         K. Banse  	ESO - Garching
.KEYWORDS       standard interfaces.
.ENVIRONMENT    FORTRAN and C standards
.VERSION  [1.00] 871207:  created from SXFTOC.C
.VERSION  [2.60] 880411:  modified new version - the last one
.VERSION  [2.70] 900316:  modfied new version - the FNAME_LEN+2 ...
.VERSION  [3.00] 901213:  Master file. CG.

 090611		last modif
-----------------------------------------------------------------------------*/
	
#include <midas_def.h>

#include <stdlib.h>


int   mm;

char *ptr1;
char *strp_pntr();
 
/*

*/

/*==========================================================================*/

/*** void SCTPUT(text)   ***/

#define STT1	stt1_
ROUTINE STT1(status)
int  *status;

{
ptr1 = strp_pntr(1);            /* get stripped string of "text" */

SCTPUT(ptr1);
*status = ERR_NORMAL;

return 0;
}

/*==========================================================================*/

/*** stat =  SCTMES(color,text)   ***/

#define STT2	stt2_
ROUTINE STT2(color,status)
int *color;          /* IN : color for text */
int  *status;

{
ptr1 = strp_pntr(1);            /* get stripped string of "text" */

*status = SCTMES(*color,ptr1);

return 0;
}

/*==========================================================================*/

/*** void SCTDIS(text,flag)   ***/

#define STT3	stt3_
ROUTINE STT3(flag,status)
int *flag;           /* IN: backspace count   */
                     /*      = 0, write line normally  */
                     /*      = [1,80], do that many backspaces  */
int  *status;

{
ptr1 = strp_pntr(1);            /* get stripped string of "text" */

*status = SCTDIS(ptr1,*flag);

return 0;
}



