#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*                     iii.fc

.VERSION

090611          last modif

*/

#include <stdlib.h>
#include <string.h>


char *ptr1;
char *strp_pntr();

/*

*/

/*==========================================================================*/

/*** idst = IIGTXT_C(dsplay,chan,string,xpos,ypos,path,orient,intens,ht) ***/

#define IIG1	iig1_
ROUTINE IIG1(dsplay,chan,xpos,ypos,path,orient,intens,ht,idst)
int *dsplay;
int *chan;
int *xpos;
int *ypos;
int *path;
int *orient;
int *intens;
int *ht;
int *idst;

{
int IIGTXT_C();


ptr1 = strp_pntr(1);         /* get stripped string of "string" */

*idst = IIGTXT_C(*dsplay,*chan,ptr1,*xpos,*ypos,*path,*orient,*intens,*ht);
return 0;
}

#define IIGPLY	iigply_
ROUTINE IIGPLY(dsplay,chan,xfig,yfig,ndim,intens,style,idst)
int *dsplay;
int *chan;
int *xfig;
int *yfig;
int *ndim;
int *intens;
int *style;
int *idst;

{
int  IIGPLY_C();

*idst = IIGPLY_C(*dsplay,*chan,xfig,yfig,*ndim,*intens,*style);
return 0;
}

#define IIGCPY	iigcpy_
ROUTINE IIGCPY(dsplay,chan,append,idst)
int *dsplay;
int *chan;
int *append;
int *idst;

{
int  IIGCPY_C();

*idst = IIGCPY_C(*dsplay,*chan,*append);
return 0;
}


