#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*                     iii.fc 

.VERSION

090611		last modif

*/

#include <stdlib.h>
#include <string.h>

int   mm;

char *ptr1;
char *loc_pntr();
char *strp_pntr();

/*

*/

/*==========================================================================*/

/*** idst = IIIGSE_C(dsplay,evalno,kstring,ll) ***/

#define III1	iii1_
ROUTINE III1(dsplay,evalno,ll,idst)
int *dsplay;
int *evalno;
int *ll;
int *idst;

{
int n, IIIGSE_C();

ptr1 = loc_pntr(1,&mm);		/* get location of "kstring" */

*idst = IIIGSE_C(*dsplay,*evalno,ptr1,ll);

n = (int) strlen(ptr1);
if ((n > 0) && (n < mm)) *(ptr1+n) = ' ';

return 0;
}

/*==========================================================================*/

/*** idst = IIIGCE_C(dsplay,evalno,kstring) ***/

#define III2	iii2_
ROUTINE III2(dsplay,evalno,idst)
int *dsplay;
int *evalno;
int *idst;

{
int n, IIIGCE_C();

ptr1 = loc_pntr(1,&mm);		/* get location of "kstring" */

*idst = IIIGCE_C(*dsplay,*evalno,ptr1);

n = (int) strlen(ptr1);
if ((n > 0) && (n < mm)) *(ptr1+n) = ' ';

return 0;
}

/*==========================================================================*/

/*** idst = IIIENI_C(dsplay,inttyp,intid,objtyp,objid,intop,extrig) ***/

#define IIIENI	iiieni_
ROUTINE IIIENI(dsplay,inttyp,intid,objtyp,objid,intop,extrig,idst)
int *dsplay;
int *inttyp;
int *intid;
int *objtyp;
int *objid;
int *intop;
int *extrig;
int *idst;

{
int IIIENI_C();

*idst = IIIENI_C(*dsplay,*inttyp,*intid,*objtyp,*objid,*intop,*extrig);
return 0;
}

#define IIIEIW	iiieiw_
ROUTINE IIIEIW(dsplay,trigst,idst)
int *dsplay;
int *trigst;
int *idst;

{
int IIIEIW_C();

*idst = IIIEIW_C(*dsplay,trigst);
return 0;
}

#define IIISTI	iiisti_
ROUTINE IIISTI(dsplay,idst)
int *dsplay;
int *idst;

{
int IIISTI_C();

*idst = IIISTI_C(*dsplay);
return 0;
}

#define IIIGLD	iiigld_
ROUTINE IIIGLD(dsplay,locno,jx,jy,idst)
int *dsplay;
int *locno;
int *jx;
int *jy;
int *idst;

{
int IIIGLD_C();

*idst = IIIGLD_C(*dsplay,*locno,jx,jy);
return 0;
}

#define IIIGLE	iiigle_
ROUTINE IIIGLE(dsplay,eval,jj,idst)
int *dsplay;
int *eval;
int *jj;
int *idst;

{
int IIIGLE_C();

*idst = IIIGLE_C(*dsplay,*eval,jj);
return 0;
}

