#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.IDENTifier     pta.fc
.AUTHOR         Rein H. Warmels, ESO-IPG
.KEYWORDS       High level graphics interface, Graphics keywords
.LANGUAGE       C
.PURPOSE        Fortran to C interface for PCAXES and PCFRAMK
.COMMENTS       Module contains interfaces for PTAXES and PTFRAM 
.ENVIRONMENT    MIDAS FORTRAN and C standards
.VERSION        1.0 13-Oct-1993 RHW

 090611		last modif
-----------------------------------------------------------------------------*/

#include <proto_plt.h>
#include <stdlib.h>
#include <string.h>

int   mm;

char *ptr1, *ptr2, *ptr3;
char *loc_pntr();
char *strp_pntr();

/*

*/

#define PPP2	ppp2_
ROUTINE PPP2(xmnmx,ymnmx,labelx,labely,AGLopt)
float      *xmnmx;	/* IN : minimum and maximum value along the X-axis */
float      *ymnmx;	/* IN : minimum and maximum value along the Y-axis */

{	
ptr1 = strp_pntr(1);         /* get stripped string of "labelx" */
ptr2 = strp_pntr(2);         /* get stripped string of "labely" */
ptr3 = strp_pntr(3);         /* get stripped string of "AGLopt" */

PCAXES(xmnmx,ymnmx,ptr1,ptr2,ptr3);
return 0;
}

#define PPP3	ppp3_
ROUTINE PPP3(xwcfram,ywcfram)
float    *xwcfram;	/* IN : min, max, big, small axes def. of X */
float    *ywcfram;	/* IN : min, max, big, small axes def. of Y */

{	
ptr1 = strp_pntr(1);         /* get stripped string of "labelx" */
ptr2 = strp_pntr(2);         /* get stripped string of "labely" */

PCFRAM(xwcfram,ywcfram,ptr1,ptr2);
return 0;
}





