#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.LANGUAGE  C
.AUTHOR    Klaus Banse, Richard van Hees          ESO - Garching
.IDENTIFICATION  Module dtsubs.fc
.PURPUSE   Fortran to C interfaces for high level display routines
.VERSION   [1.00]  940327
.VERSION   [1.00]  940327

 090706		last modif
---------------------------------------------------------*/

#include <midas_def.h>
#include <idinumd.h>


#define DAZOPN	dazopn_
ROUTINE DAZOPN(flag)
int  *flag;
{	
DCOPEN( *flag );
return 0;
}

#define DAZCLO	dazclo_
ROUTINE DAZCLO(dispno)
int  *dispno;
{
DCCLOS( *dispno );
return 0;
}

#define DAZGII	dazgii_
ROUTINE DAZGII(chanl)
int  *chanl;
{
(void) DCGICH(*chanl);
return 0;
}

#define DAZPII	dazpii_
ROUTINE DAZPII(chanl)
int  *chanl;
{
(void) DCPICH(*chanl);
return 0;
}

















