#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*++++++++++++++++++++++++  clefra.fc  +++++++++++++++++++++++++++++++++++
.LANGUAGE C
.IDENTIFICATION Module clefra.fC
.COMMENTS
Contains CLNFRA, CLNTAB, CLNFIT
.AUTHOR         K. Banse        ESO - Garching
.KEYWORDS       tools
.ENVIRONMENT    FORTRAN and C standards
.VERSION  [1.00] 920331:  created
.VERSION  [1.10] 930110:  add option parameter to CLNFRA, CLNTAB, CLNFIT

 090611		last modif
-----------------------------------------------------------------------------*/

#include <stdlib.h>
#include <string.h>

int  mm;

char *ptr1, *ptr2;
char *loc_pntr();
char *strp_pntr();

int  CGN_FRAME();

/*

*/

#define YYA1	yya1_
ROUTINE YYA1(flag,optio)
int   *flag;
int   *optio;

{
int  n;


ptr1 = strp_pntr(1);         /* get stripped string of "infile" */
ptr2 = loc_pntr(1,&mm);      /* get location of "outfile" */


CGN_FRAME(ptr1,*flag,ptr2,*optio);

n = (int) strlen(ptr2);
if (n < mm) *(ptr2+n) = ' ';

return 0;
}



