#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/* +++++++++++++++++++++++++  f2cgena.fc  +++++++++++++++++++++++++++++
.LANGUAGE  C
.AUTHOR    K. Banse		ESO - IPG, Garching
.IDENT     Module f2cgena.fc
.PURPUSE   Fortran to C interfaces for general routines
.VERSION   [1.00]  940327

 090630		last modif
------------------------------------------------------------------------*/

#include <midas_def.h>
#include <proto_gen.h> 


/*

*/

#define COPYF2	copyf2_
ROUTINE COPYF2( value, pntrB, npixB, bgnB, dimwB )
float   *value;
float   *pntrB;
int  *npixB;
int  *bgnB;
int  *dimwB;
{
Ccopyf2( *value, pntrB, npixB, bgnB, dimwB );
return 0;
}

#define COPYF	copyf_
ROUTINE COPYF( pntrA, pntrB, dim )
float  *pntrA;
float  *pntrB;
int *dim;
{
Ccopyf( pntrA, pntrB, *dim );
return 0;
}

#define COPYI	copyi_
ROUTINE COPYI( pntrA, pntrB, dim )
int *pntrA;
int *pntrB;
int *dim;
{
Ccopyi( pntrA, pntrB, *dim );
return 0;
}

/*
ROUTINE CONFIL( value, pntrB, dim )
float  *value;
float  *pntrB;
int *dim;
{
Cconfil( *value, pntrB, *dim );
return 0;
}
*/

#define COPYFX	copyfx_
ROUTINE COPYFX( pntrA, imni, imno, npix, istrip )
float   *pntrA;
int  *imni;
int  *imno;
int  *npix;
int  *istrip;
{
Ccopyfx( pntrA, *imni, *imno, npix, *istrip );
return 0;
}

#define FPXWCO	fpxwco_
ROUTINE FPXWCO(flag,imno,ccin,ccout,stat)
int  *flag;		/* 0: init, 1: fp -> wc, -1: wc -> fp */
int  *imno;		/* only used for flag = 0 */
double  *ccin;		/* fp's (1) or wc's (-1) */
double  *ccout;		/* wc's (-1) or fp's (1) */
int *stat;		/* 0 = o.k. for flag != 0
                           0 or -1 for flag=0 to tell, 
                                   if non- or linear coord system
                           > 0 if error for all flags  */
{
*stat = fp2wc(*flag,*imno,ccin,ccout);		/* in file wrldco.c */
return 0;
}

#define CPOWER	cpower_
ROUTINE CPOWER(xa, xb, xc)
float  *xa;
float  *xb;
float  *xc;
{
void MyPower();

MyPower(xa,xb,xc);
return 0;
}

#define HACKUP	hackup_
ROUTINE HACKUP(npix, pix_form, retbuf)
int *npix;
int *pix_form;
int *retbuf;

{
void hack_up();


hack_up(npix,*pix_form,retbuf);
return 0;
}



