#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2009 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY

.VERSION

 090630		last modif
===========================================================================*/

 
#include <midas_def.h>

int  mm;

char *ptr1, *ptr2;
char *loc_pntr(int, int *);
char *strp_pntr(int);

/*

*/

/*** stat = STVALS(action,a,naxis,npix,sublo,subhi,cutvls,rsults,respix,nopix) ***/

#define YST1	yst1_
ROUTINE YST1(a,naxis,npix,sublo,subhi,cutvls,rsults,respix,nopix,stat)
 
float     *a;
int  *naxis;
int  *npix;
int  *sublo;
int  *subhi;
float     *cutvls;
float     *rsults;
int    *respix;
int    *nopix;
int    *stat;

{
int   n, mylo[3], myhi[3], myrespix[3];
int  savnaxis;


savnaxis = *naxis;
if (savnaxis > 3) 
   {
   *stat = -77;
   return -1;
   }

for (n=0; n<savnaxis; n++)
   {
   mylo[n] = *sublo - 1;
   myhi[n] = *subhi - 1;
   sublo++;
   subhi++;
   }

ptr1 = strp_pntr(1);         /* get stripped string of "action" */

*stat = Cstvals(ptr1,a,savnaxis,npix,mylo,myhi,cutvls,rsults,
                  myrespix,nopix);

for (n=0; n<savnaxis; n++)
   respix[n] = myrespix[n] + 1;

return 0;
}



